MatrixSetFormulaCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetFormulaCommand:

## Public Member Functions

| MatrixSetFormulaCommand (Matrix *m, const QString &oldFormula, const QString &newFormula, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

Matrix * | d_matrix
QString | d_new_formula
QString | d_old_formula

## Constructor & Destructor Documentation

MatrixSetFormulaCommand::MatrixSetFormulaCommand | ( | Matrix * | m,
|  | const QString & | oldFormula,
|  | const QString & | newFormula,
|  | const QString & | text
| ) |  |

## Member Function Documentation

void MatrixSetFormulaCommand::redo | ( |  | ) |

virtual

References d_matrix, d_new_formula, and Matrix::setFormula().

void MatrixSetFormulaCommand::undo | ( |  | ) |

virtual

References d_matrix, d_old_formula, and Matrix::setFormula().

## Member Data Documentation

Matrix* MatrixSetFormulaCommand::d_matrix

private

Referenced by redo(), and undo().

QString MatrixSetFormulaCommand::d_new_formula

private

Referenced by redo().

QString MatrixSetFormulaCommand::d_old_formula

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp